### Property

# Gtk FileDialog:initial-file

since: 4.10

#### Declaration

    property initial-file: Gio.File [ read, write ]

#### Description [src]

The initial file, that is, the file that is initially selected in the file chooser dialog

This is a utility property that sets both `GtkFileDialog:initial-folder` and `GtkFileDialog:initial-name`.

Type: | `GFile`
Available since: | 4.10

Getter method | `gtk_file_dialog_get_initial_file()`
Setter method | `gtk_file_dialog_set_initial_file()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no